/**
 *  BlueCove - Java library for Bluetooth
 *  Copyright (C) 2006-2007 Vlad Skarzhevskyy
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  @version $Id: ServiceRegistrationException.java 95 2007-02-24 22:46:32Z skarzhevskyy $
 */
package javax.bluetooth;

import java.io.IOException;

public class ServiceRegistrationException extends IOException {

	private static final long serialVersionUID = 1L;

	/** Creates a <code>ServiceRegistrationException</code> without a detailed message. */
    public ServiceRegistrationException() { 
    		super();
    }

    /**
     * Creates a <code>ServiceRegistrationException</code> with a detailed message.
     * @param msg the reason for the exception
     */
    public ServiceRegistrationException(String msg) { 
    		super (msg);
    	}

}
